// Copyright 2024 Esri
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


import SwiftUI

import ArcGIS

struct ContentView: View {

    @State private var map = Map()

    private func loadMobileMapPackage() async throws {
        guard let mobileMapPackage = MobileMapPackage(name: "MahouRivieraTrails", bundle: .main) else { return }

        try await mobileMapPackage.load()
        guard let map = mobileMapPackage.maps.first else { return }
        self.map = map

    }

    var body: some View {

        MapView(map: map)

            .task {
                do {
                    try await loadMobileMapPackage()
                } catch {
                    print(error)
                }
            }

    }

}


